/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

使用Linux有时候为了方便会选择使用他人编译好的二进制程序,运行后往往会出现各种各样的报错,比如依赖库文件缺失、系统环境版本等等,最常见的报错便是:/lib/ld-linux.so.2: bad ELF interpreter: No such file or directory。

故障分析

最常见的情况是在64位操作系统下运行32位的程序,且当前系统未安装适用于32位程序的C运行库。

解决方案

  1. [root@wanghualang~]# yum install -y glibc.i686  
匿名

发表评论

匿名网友 填写信息